//Timer0 is used as MainTimer
// Simple overflow Vector with prescaler = 64 -> Cycle ~2 ms 

#include <avr/io.h>  

void MainTimerInit()
{
	TCCR0A=0x00;
	TCCR0B= 0x03;
	TIMSK0 &= (1<<TOIE0);	
}

ISR(TIMER0_OVF_vect)
{
	TestRS232TimeOutWatchdog();
}


