d0 = 16
d1 = 17
d2 = 18
d3 = 19
d4 = 20
d5 = 21



//#####################################################################
//Warteschleifen 8 Mhz
//#####################################################################
Wait2u:	;Aufruf 3 Zyklen
	nop	;1
	nop	;1
	nop	;1
	nop	;1
	nop	;1
	nop	;1
	nop	;1
	nop	;1
	nop	;1


	ret	;4

Wait10u:
//Warte 10 us (bei 8 MHz) (77 Zyklen + 3 Zyklen "call" = 80 )
	push d0			;2 Zyklus
	ldi d0, 0x17		;1 Zyklus
Wait10u_Loop:
	dec d0			;1 Zyklus
	brne Wait10u_Loop	;2 Zyklen (1Zyklus bei Raussprung)
	pop d0			;2 Zyklus
	ret			;4 Zyklen		


.global Wait100u
Wait100u:
// 9*44 Zyklen + 7 = 403 Zyklen (100,75 us)
	push d0			;1 Zyklus
	ldi d0, 9		;1 Zyklus
Wait100u_Loop:
	rcall Wait10u		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait100u_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	rcall Wait2u
	rcall Wait2u


	ret			;2 Zyklen		




Wait1m:
	push d0			;1 Zyklus
	ldi d0, 96		;1 Zyklus
Wait1m_Loop:
	rcall Wait10u		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait1m_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		

Wait25m:
	push d0			;1 Zyklus
	ldi d0, 25  	;1 Zyklus
Wait25m_Loop:
	rcall Wait1m		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait25m_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		




Wait100m:
	push d0			;1 Zyklus
	ldi d0, 100		;1 Zyklus
Wait100m_Loop:
	rcall Wait1m		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait100m_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		



Wait250m:
	push d0			;1 Zyklus
	ldi d0, 250		;1 Zyklus
Wait250m_Loop:
	rcall Wait1m		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait250m_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		


Wait1s:
	push d0			;1 Zyklus
	ldi d0, 4		;1 Zyklus
Wait1s_Loop:
	rcall Wait250m		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait1s_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		



Wait20s:
	push d0			;1 Zyklus
	ldi d0, 80		;1 Zyklus
Wait20s_Loop:
	rcall Wait250m		;41 Zyklen
	dec d0			;1 Zyklus
	brne Wait20s_Loop	;2 Zyklen + 1Zyklus bei Aussage = False
	pop d0			;1 Zyklus
	ret			;2 Zyklen		
