#define F_CPU 8000000UL

#include <avr/io.h>  
#include "Ports.h"  
//#include <util/delay.h>  
//#include <math.h>  
#include "structs.h"  
#include "LED.h"
#include <avr/interrupt.h>

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//Forward references     
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
void InitPorts();




//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//Main
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
int main (void) 
{            
	InitPorts();
	MainTimerInit();
	UART_Init();
	UARTTelegramInit();
	PS2Init();
	
	sei();




	 while(1) 
   	{                

		if (DataWrite.MouseCommand != 0)
		{
			PS2Send(DataWrite.MouseCommand);
			DataWrite.MouseCommand =0;
		}





		/*
		if (DataWrite.MouseCommand & 0x01)
			SetLED1();
		else
			ClearLED1();

		if (DataWrite.MouseCommand & 0x02)
			SetLED2();
		else
			ClearLED2();

		if (DataWrite.MouseCommand & 0x04)
			SetLED3();
		else
			ClearLED3();
			*/

   	}     
	
	


   return 0;                 
}



void InitPorts()
{
	//PORTB
	DDRB = (1<<LED1);
	PORTB = 0;
	//PortC
	DDRC =0;
	//PORTD
	DDRD = (1<<LED2) | (1<<LED3);
	PORTD = 0;
}




