#ifndef __INCL_STRUCTS_H_
	#define __INCL_STRUCTS_H_



#include <inttypes.h> 



	typedef struct 
	{
		uint8_t TWIAddress; 
		char Name[8];
		uint8_t ID;
		uint16_t ReadBufferAddress;
		uint16_t ReadBufferLength;
		uint16_t WriteBufferAddress;
		uint16_t WriteBufferLength;
		uint16_t Comm_ReadBufferAddress;
		uint16_t Comm_WriteBufferAddress;
		uint8_t LockByte;
	}__attribute__ ((packed)) PeripherieTableEntry;





	typedef struct
	{
		uint8_t MouseBuffer[256];
		uint8_t LastOffset;
	}__attribute__ ((packed)) DataReadBlock;



	typedef struct
	{
		uint8_t MouseCommand;
	}__attribute__ ((packed)) DataWriteBlock;



	extern volatile DataReadBlock DataRead;
	extern volatile DataWriteBlock DataWrite;
	//extern volatile PeripherieTableEntry PeripherieTable = {255, "Jojo1.0 ", 255, &DataRead, sizeof(DataRead), &DataWrite, sizeof(DataWrite), &DataRead, &DataWrite, 0}; 
	extern volatile PeripherieTableEntry PeripherieTable[1];
	extern const uint16_t PeripherieTableEndAddress;

#endif
