InitMainTimer:
//Timer 0 initialization:
// clock is prescaled with 1024
// calculation: 
// 8 MHz / (64 * 256) = 500 Hz (~2 ms)

	ldi d0, 0x00
	out TCCR0A, d0

	ldi d0, 0x03//0x05
	out TCCR0B, d0
	
	ser d0
	out OCR0A, d0

	ldi XH, high(TIMSK0)
	ldi XL, low(TIMSK0)
	ldi d0, 1
	st X, d0

	ret


MainTimerInterrupt:
	;Register retten
	push d0
	in d0, SREG
	push d0
	push d1
	push d2
	push d3
	push XL
	push XH
	push YL
	push YH
	push ZL
	push ZH
	rcall MainTimerInterruptService
	;Register zurckholen
	pop ZH
	pop ZL
	pop YH
	pop YL
	pop XH
	pop XL
	pop d3
	pop d2
	pop d1
	pop d0
	out SREG, d0	
	pop d0
	reti




MainTimerInterruptService:
//Test RS232 Watchdog
	call TestRS232TimeOutWatchdog

MainTimerInterruptService_End:
	ret

